summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-dotnet/flickrnet-bin
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-dotnet/flickrnet-bin')
-rw-r--r--dev-dotnet/flickrnet-bin/Manifest1
-rw-r--r--dev-dotnet/flickrnet-bin/files/flickrnet.pc.in8
-rw-r--r--dev-dotnet/flickrnet-bin/flickrnet-bin-2.2-r1.ebuild41
-rw-r--r--dev-dotnet/flickrnet-bin/metadata.xml5
4 files changed, 55 insertions, 0 deletions
diff --git a/dev-dotnet/flickrnet-bin/Manifest b/dev-dotnet/flickrnet-bin/Manifest
new file mode 100644
index 00000000000..ca7697736df
--- /dev/null
+++ b/dev-dotnet/flickrnet-bin/Manifest
@@ -0,0 +1 @@
+DIST FlickrNet2.2.zip 243208 SHA256 a3f31f959a595aa1e158197c2b4dcd12f71d6a05c87e8a904a223637c6447ea5 SHA512 a591867e5a58ea22f4f8932dee11346aa6c2a5ef653ae34bab69c60cf3fb3a0d1108424439c2b8788a557f7fee35915ad4a54c0a57f29e653daef90ee80c4a0d WHIRLPOOL f33c81ba7143c3471b99ae4e071fba894498990cc88a252e4db86d7edcd143294dec778a266a10857fda8cba788dd1ebaafbce1bb47720c18451488627fd7ecc
diff --git a/dev-dotnet/flickrnet-bin/files/flickrnet.pc.in b/dev-dotnet/flickrnet-bin/files/flickrnet.pc.in
new file mode 100644
index 00000000000..326042df5fe
--- /dev/null
+++ b/dev-dotnet/flickrnet-bin/files/flickrnet.pc.in
@@ -0,0 +1,8 @@
+libdir=@LIBDIR@
+assemblies_dir=${libdir}/mono/FlickrNet
+Libraries=${assemblies_dir}/FlickrNet.dll
+
+Name: FlickrNet
+Description: Flickr.Net API Library
+Version: @VERSION@
+Libs: -r:${assemblies_dir}/FlickrNet.dll
diff --git a/dev-dotnet/flickrnet-bin/flickrnet-bin-2.2-r1.ebuild b/dev-dotnet/flickrnet-bin/flickrnet-bin-2.2-r1.ebuild
new file mode 100644
index 00000000000..e582f795416
--- /dev/null
+++ b/dev-dotnet/flickrnet-bin/flickrnet-bin-2.2-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+
+MY_PN="FlickrNet"
+
+inherit mono multilib
+
+DESCRIPTION="A .Net Library for accessing the Flickr API - Binary version"
+HOMEPAGE="http://www.codeplex.com/FlickrNet"
+
+# Upstream download require click-through LGPL-2.1.
+# Since the license allows us to do that, just redistribute
+# it in a decent format.
+SRC_URI="mirror://gentoo/${MY_PN}${PV}.zip"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+RDEPEND=">=dev-lang/mono-2.4"
+DEPEND="${RDEPEND}
+ app-arch/unzip"
+
+S="${WORKDIR}"
+
+src_compile() { :; }
+
+src_install() {
+ egacinstall Release/${MY_PN}.dll ${MY_PN} || die
+
+ # Install .pc file as required by f-spot
+ dodir /usr/$(get_libdir)/pkgconfig
+ sed -e "s:@VERSION@:${PV}:" \
+ -e "s:@LIBDIR@:/usr/$(get_libdir):" \
+ "${FILESDIR}"/flickrnet.pc.in > "${D}"/usr/$(get_libdir)/pkgconfig/flickrnet.pc \
+ || die "sed failed"
+}
diff --git a/dev-dotnet/flickrnet-bin/metadata.xml b/dev-dotnet/flickrnet-bin/metadata.xml
new file mode 100644
index 00000000000..d35e9300c54
--- /dev/null
+++ b/dev-dotnet/flickrnet-bin/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>dotnet</herd>
+</pkgmetadata>